### Class

# WebKit URISchemeResponse

#### Description [src]

    final class WebKit.URISchemeResponse : GObject.Object {
      /* No available fields */
    }

Represents a URI scheme response.

If you register a particular URI scheme in a `WebKitWebContext`, using webkit_web_context_register_uri_scheme(), you have to provide a `WebKitURISchemeRequestCallback`. After that, when a URI response is made with that particular scheme, your callback will be called. There you will be able to provide more response parameters when the methods and properties of a `WebKitURISchemeRequest` is not enough.

When you finished setting up your `WebKitURISchemeResponse`, call `webkit_uri_request_finish_with_response()` with it to return the response.

#### Ancestors

- GObject

#### Constructors

###### webkit_uri_scheme_response_new

Create a new `WebKitURISchemeResponse`.

since: 2.36

#### Instance methods

###### webkit_uri_scheme_response_set_content_type

Sets the content type for the `response`.

since: 2.36

###### webkit_uri_scheme_response_set_http_headers

Assign the provided `SoupMessageHeaders` to the response.

since: 2.36

###### webkit_uri_scheme_response_set_status

Sets the status code and reason phrase for the `response`.

since: 2.36

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.URISchemeResponse:stream

The input stream to read from.

since: 2.36

###### WebKit.URISchemeResponse:stream-length

The input stream length in bytes, `-1` for unknown length.

since: 2.36

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitURISchemeResponseClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.